// This is a synchronous system. This module logically 'OR's all internal blockRAM data outputs. When a blockRAM is not selected it streams a logic '0' on its output
`timescale 1ns / 1ps

module ORs( input [15:0] ram1DO,		//databus output from internal FPGA blockRAM used for zero-page
				input [15:0] ram2DO,		//databus output from internal FPGA blockRAM used for the stack
				input [15:0] rom1DO,		//databus output from internal FPGA blockRAM used for the ROM
				output [15:0] cpuDI		//databus input to the CPU/ALU
				);

assign cpuDI = ram1DO | ram2DO | rom1DO ;

endmodule
