`timescale 1ns / 1ps

module SRAMif( input cpuWE,
					input [31:0] cpuAB,
					output reg ram1CS = 0,
					output reg ram1WE = 0,		//pre-init to '0', not selected
					output reg ram2CS = 0,
					output reg ram2WE = 0,		//pre-init to '0', not selected
					output reg rom1CS = 0
					);

// address decoding for internal blockRAM

always @* begin
	ram1WE <= ( !ram1CS && cpuWE );
	ram2WE <= ( !ram2CS && cpuWE );
	if ( (cpuAB >= 32'h0000_0000) && (cpuAB <= 32'h0000_03ff) )		//1Kx16 zeropage RAM address decode
		ram1CS <= 0;
		else ram1CS <= 1;
	if ( (cpuAB >= 32'h0001_fc00) && (cpuAB <= 32'h0001_ffff) )		//1Kx16 stackpage RAM address decode
		ram2CS <= 0;
		else ram2CS <= 1;
	if ( (cpuAB >= 32'hffff_f000) && (cpuAB <= 32'hffff_ffff) )		//4Kx16 'initialized RAM' ROM address decode
		rom1CS <= 0;
		else rom1CS <= 1;
end

endmodule
